<h1>Filmovi</h1>
<div>
    <table>
        <thead>
            <th>Id:</th>
            <th>Naziv: </th>
            <th>Reziser:</th>
            <th>Ocena:</th>
            <th>Akcija:</th>
        </thead>
        <tbody>
            <tr *ngFor="let f of allFilms">
                <td>{{f.id}}</td>
                <td>{{f.naziv}}</td>
                <td>{{f.reziser}}</td>
                <td>{{f.ocena}}</td>
                <td>
                    <button (click)="getFilm(f.id)">Detalji</button>
                    <button (click)="removeFilm(f.id)">Obrisi</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div>
    <form (ngSubmit)="addFilm()" #editForm="ngForm">
        <h2>Dodaj novi film</h2>
        <hr>
        <div>
            <label for="filmInp">Naziv filma:</label>
            <input id="filmInp" name="naziv" #naziv="ngModel" [(ngModel)]="newFilm.naziv" [ngClass]="{'invalid': naziv.invalid}" type="text" required>
        </div>
        <div>
            <label for="reziserInp">Ime rezisera:</label>
            <input id="reziserInp" name="reziser" #reziser="ngModel" [(ngModel)]="newFilm.reziser" [ngClass]="{'invalid': reziser.invalid}" type="text" required>
        </div>
        <div>
            <input [disabled]="naziv.invalid" [disabled]="reziser.invalid" type="submit" value="Dodaj">
        </div>
    </form>
</div>
